haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.GI.GIR.BasicTypes

Description

Basic types used in GIR parsing.

Synopsis

- data Name = Name {
  - namespace :: Text
  - name :: Text
  }
- data Transfer
  - = TransferNothing
  - | TransferContainer
  - | TransferEverything
- newtype Alias = Alias Name
- data Type
  - = TBasicType BasicType
  - | TError
  - | TVariant
  - | TGValue
  - | TParamSpec
  - | TCArray Bool Int Int Type
  - | TGArray Type
  - | TPtrArray Type
  - | TByteArray
  - | TGList Type
  - | TGSList Type
  - | TGHash Type Type
  - | TGClosure (Maybe Type)
  - | TInterface Name
- data BasicType
  - = TBoolean
  - | TInt
  - | TUInt
  - | TLong
  - | TULong
  - | TInt8
  - | TUInt8
  - | TInt16
  - | TUInt16
  - | TInt32
  - | TUInt32
  - | TInt64
  - | TUInt64
  - | TFloat
  - | TDouble
  - | TUniChar
  - | TGType
  - | TUTF8
  - | TFileName
  - | TPtr
  - | TIntPtr
  - | TUIntPtr
  - | TShort
  - | TUShort
  - | TSize
  - | TSSize
  - | Ttime_t
  - | Toff_t
  - | Tdev_t
  - | Tgid_t
  - | Tpid_t
  - | Tsocklen_t
  - | Tuid_t

# Documentation

data Name Source #

Name for a symbol in the GIR file.

Constructors

Name |

Fields

- namespace :: Text
- name :: Text

#### Instances

Instances details

Show Name Source # |
Instance details Defined in Data.GI.GIR.BasicTypes Methods showsPrec :: Int -> Name -> ShowS Source # show :: Name -> String Source # showList :: [Name] -> ShowS Source #
Eq Name Source # |
Instance details Defined in Data.GI.GIR.BasicTypes Methods (==) :: Name -> Name -> Bool Source # (/=) :: Name -> Name -> Bool Source #
Ord Name Source # |
Instance details Defined in Data.GI.GIR.BasicTypes Methods compare :: Name -> Name -> Ordering Source # (<) :: Name -> Name -> Bool Source # (<=) :: Name -> Name -> Bool Source # (>) :: Name -> Name -> Bool Source # (>=) :: Name -> Name -> Bool Source # max :: Name -> Name -> Name Source # min :: Name -> Name -> Name Source #

data Transfer Source #

Transfer mode for an argument or property.

Constructors

TransferNothing |
TransferContainer |
TransferEverything |

#### Instances

Instances details

Show Transfer Source # |
Instance details Defined in Data.GI.GIR.BasicTypes Methods showsPrec :: Int -> Transfer -> ShowS Source # show :: Transfer -> String Source # showList :: [Transfer] -> ShowS Source #
Eq Transfer Source # |
Instance details Defined in Data.GI.GIR.BasicTypes Methods (==) :: Transfer -> Transfer -> Bool Source # (/=) :: Transfer -> Transfer -> Bool Source #
Ord Transfer Source # |
Instance details Defined in Data.GI.GIR.BasicTypes Methods compare :: Transfer -> Transfer -> Ordering Source # (<) :: Transfer -> Transfer -> Bool Source # (<=) :: Transfer -> Transfer -> Bool Source # (>) :: Transfer -> Transfer -> Bool Source # (>=) :: Transfer -> Transfer -> Bool Source # max :: Transfer -> Transfer -> Transfer Source # min :: Transfer -> Transfer -> Transfer Source #

newtype Alias Source #

An alias, which is simply (Namespace, name).

Constructors

Alias Name |

#### Instances

Instances details

Show Alias Source # |
Instance details Defined in Data.GI.GIR.BasicTypes Methods showsPrec :: Int -> Alias -> ShowS Source # show :: Alias -> String Source # showList :: [Alias] -> ShowS Source #
Eq Alias Source # |
Instance details Defined in Data.GI.GIR.BasicTypes Methods (==) :: Alias -> Alias -> Bool Source # (/=) :: Alias -> Alias -> Bool Source #
Ord Alias Source # |
Instance details Defined in Data.GI.GIR.BasicTypes Methods compare :: Alias -> Alias -> Ordering Source # (<) :: Alias -> Alias -> Bool Source # (<=) :: Alias -> Alias -> Bool Source # (>) :: Alias -> Alias -> Bool Source # (>=) :: Alias -> Alias -> Bool Source # max :: Alias -> Alias -> Alias Source # min :: Alias -> Alias -> Alias Source #

data Type Source #

This type represents the types found in GObject Introspection interfaces: the types of constants, arguments, etc.

Constructors

TBasicType BasicType |
TError | GError
TVariant | GVariant
TGValue | GValue
TParamSpec | GParamSpec
TCArray Bool Int Int Type | Zero terminated, Array Fixed Size, Array Length, Element Type
TGArray Type | GArray
TPtrArray Type | GPtrArray
TByteArray | GByteArray
TGList Type | GList
TGSList Type | GSList
TGHash Type Type | GHashTable
TGClosure (Maybe Type) | GClosure containing the given API (if known)
TInterface Name | A reference to some API in the GIR

#### Instances

Instances details

Show Type Source # |
Instance details Defined in Data.GI.GIR.BasicTypes Methods showsPrec :: Int -> Type -> ShowS Source # show :: Type -> String Source # showList :: [Type] -> ShowS Source #
Eq Type Source # |
Instance details Defined in Data.GI.GIR.BasicTypes Methods (==) :: Type -> Type -> Bool Source # (/=) :: Type -> Type -> Bool Source #
Ord Type Source # |
Instance details Defined in Data.GI.GIR.BasicTypes Methods compare :: Type -> Type -> Ordering Source # (<) :: Type -> Type -> Bool Source # (<=) :: Type -> Type -> Bool Source # (>) :: Type -> Type -> Bool Source # (>=) :: Type -> Type -> Bool Source # max :: Type -> Type -> Type Source # min :: Type -> Type -> Type Source #

data BasicType Source #

Basic types. These are generally trivial to marshal, and the GIR assumes that they are defined.

Constructors

TBoolean | gboolean
TInt | gint
TUInt | guint
TLong | glong
TULong | gulong
TInt8 | gint8
TUInt8 | guint8
TInt16 | gint16
TUInt16 | guint16
TInt32 | gint32
TUInt32 | guint32
TInt64 | gint64
TUInt64 | guint64
TFloat | gfloat
TDouble | gdouble
TUniChar | gunichar
TGType | GType
TUTF8 | gchar*, encoded as UTF-8
TFileName | gchar*, encoding a filename
TPtr | gpointer
TIntPtr | gintptr
TUIntPtr | guintptr
TShort | gshort
TUShort | gushort
TSize | gsize
TSSize | gssize
Ttime_t | time_t
Toff_t | off_t
Tdev_t | dev_t
Tgid_t | gid_t
Tpid_t | pid_t
Tsocklen_t | socklen_t
Tuid_t | uid_t

#### Instances

Instances details

Show BasicType Source # |
Instance details Defined in Data.GI.GIR.BasicTypes Methods showsPrec :: Int -> BasicType -> ShowS Source # show :: BasicType -> String Source # showList :: [BasicType] -> ShowS Source #
Eq BasicType Source # |
Instance details Defined in Data.GI.GIR.BasicTypes Methods (==) :: BasicType -> BasicType -> Bool Source # (/=) :: BasicType -> BasicType -> Bool Source #
Ord BasicType Source # |

Instance details

Defined in Data.GI.GIR.BasicTypes

Methods

compare :: BasicType -> BasicType -> Ordering Source #

(<) :: BasicType -> BasicType -> Bool Source #

(<=) :: BasicType -> BasicType -> Bool Source #

(>) :: BasicType -> BasicType -> Bool Source #

(>=) :: BasicType -> BasicType -> Bool Source #

max :: BasicType -> BasicType -> BasicType Source #

min :: BasicType -> BasicType -> BasicType Source #